List Patient Banked Items
curl --request GET \
--url https://api.decodahealth.com/inventory/banked-items/patient/{patient_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/banked-items/patient/{patient_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/banked-items/patient/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"itemId": "<string>",
"patientId": "<string>",
"createdByChargeItemId": "<string>",
"quantity": 123,
"quantityRemaining": 123,
"createdDate": "2023-11-07T05:31:56Z",
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
},
"price": 123,
"usages": [
{
"chargeId": "<string>",
"chargeDate": "2023-11-07T05:31:56Z",
"quantityUsed": 123,
"chargeTotal": 123
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
List Patient Banked Items
List all banked items for a patient (including used ones, excluding archived).
GET
/
inventory
/
banked-items
/
patient
/
{patient_id}
List Patient Banked Items
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
List of charges that used this banked item
Show child attributes
Show child attributes
⌘I
